; assumptions about the starting envionment
cpu 8086
org 0x0000
; es:bx		pxeenv+ structure
; ss:sp		functional stack

; during PXE, CS=0000 and IP=7C00
_startup:
  xor ax, ax
  mov ss, ax
  mov sp, 0x0000
  mov ds, ax
  mov es, ax

  mov si, 0x7C00
  mov di, 0x0500
  mov cx, (_reloc_end)
  rep movsb
  jmp 0x0050:main

_exit:
  mov si, .message
  call kprintf
.loop:
  hlt
  jmp .loop
.message:
  db "Halted: Waiting for poweroff...", 0

%include "kernel/main.asm"

_reloc_end:
